@import url('./variables.css');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: 16px;
  font-family: var(--font-primary);
  letter-spacing: 0.5px;
  color: var(--text-dark-blue);
}

a {
  text-decoration: none;
}

.sidebar {
  width: 19rem;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  background-color: var(--background);
  box-shadow: 1px 10px 16px var(--box-shadow);
}

.sidebar-small {
  width: 6.8rem;
  overflow: hidden;
}

.sidebar__header {
  padding: 0 2rem;
  display: flex;
  align-items: center;
  gap: 1rem;
  background-color: #fff;
}

.nav {
  padding: 2rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.nav__user {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  text-align: center;
}

.user-photo:hover {
  opacity: 0.5;
}

.nav__item, .nav__footer {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 1.5rem;
  margin-bottom: 1rem;
}

.item_hover:hover, .item_active, .nav__item:hover, .nav__footer:hover {
  transform: scale(1.01);
  border: 1px solid var(--box-shadow);
  border-radius: 20px;
  background-color: var(--light-grey);
}

.nav__link, .header__link {
  transition: all 0.4s ease;
  color: var(--text-dark-blue);
}

.nav__link:hover, .header__link:hover {
  color: var(--secondary-blue);
}

.nav__icon, .sidebar__icon, .header__icon {
  width: 40px;
  padding: 5px; 
}

.sidebar__icon:hover, .header__icon:hover {
  border: 1px solid var(--box-shadow);
  background-color: var(--light-grey);
  border-radius: 50%;
} 

.header {
  width: calc(100% - 20rem);
  height: 4.3rem;
  padding:0 2rem 0 2rem;
  position: fixed;
  top: 0;
  left: 20rem;
  display: flex;
  align-items: center;
  background-color: var(--background);
  box-shadow: 1px 10px 16px var(--box-shadow);
}

.header-large {
  width: calc(100% - 7.8rem);
  top: 0;
  left: 7.8rem;
}

.header__title {
  letter-spacing: 1.5px;
}

.header__user-info {
  position: absolute;
  right: 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.main {
  position: absolute;
  height: calc(100% - 5em);
  width: calc(100% - 20rem);
  top: 5rem;
  left: 20rem;
  overflow-y: scroll;
}

.main-large {
  position: absolute;
  height: calc(100% - 5em);
  width: calc(100% - 7.8rem);
  top: 5rem;
  left: 7.8rem;
}

.main__content {
  width: 1050px;
  margin: 1rem auto; 
}

.main__content-item {
  background-color: var(--background);
  box-shadow: 1px 10px 16px var(--box-shadow);
  border-radius: 10px;
}

.profile {
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
}

.profile__content {
  text-align: center;
}

.profile__role {
  font-family: var(--font-secondaty);
  margin: 1rem 0 0.2rem 0;
}

.profile__date{
  font-family: var(--font-secondaty);
  font-style: italic;
}

.profile__edit {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.profile__edit-btn {
  padding: 1rem 10rem;  
  font-size: 0.9rem;
  font-family: var(--font-secondaty);
  font-weight: 700;
  letter-spacing: 1.7px;
  border-radius: 40px;
  border: 2px solid transparent;
  box-shadow: 1px 10px 16px var(--box-shadow);
  background-color: var(--background);
  color: var(--yellow);
}

.profile__edit-btn:hover {
  border: 1px solid var(--light-yellow);
  background-color: var(--light-yellow);
  color: var(--background);
}

.profile__edit-btn_red {
  width: 15rem;
  align-self: center;
  padding: 1rem;
  border: 1px solid var(--red);
  background-color: var(--red);
  color: var(--background);
}

.profile__edit-btn_red:hover {
  border: 1px solid transparent;
  background-color: var(--background);
  color: var(--red);
}

.profile__btn-logout {
  padding: 1rem 4rem;
  border-radius: 40px;
  box-shadow: 1px 10px 16px var(--box-shadow);
  font-family: var(--font-secondaty);
  font-weight: 700;
  font-size: 0.8rem;
  letter-spacing: 1.5px;
  background-color: var(--background);
  border: 1px solid var(--secondary-blue);
  color: var(--secondary-blue);
}

.profile__btn-logout:hover {
  border: 1px solid var(--btn-dark-blue);
  background-color: var(--btn-dark-blue);
  color: var(--background);
}

.delete, .change-pass__box {
  position: absolute;
  top: 10rem;
  left: 20rem;
  width: 45rem;
  height: 20rem;
  border: 1px solid var(--light-grey);
  border-radius: 10px;
  box-shadow: 1px 10px 16px var(--box-shadow);
  background-color: #fff;
}

.delete__message-box, .delete__success, .change-pass__form, .change-pass__success {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
}

.delete__buttons {
  display: flex;
  gap: 2rem;
}

.delete__btn, .btn-ok, .change-pass__btn{
  padding: 0.1rem 0.7rem;
  font-size: 0.9rem;
  font-family: var(--font-secondaty);
  font-weight: 700;
  letter-spacing: 1.7px;
  border-radius: 4px;
  box-shadow: 1px 10px 16px var(--box-shadow);
  color: var(--background);
}

.delete__btn-no {
  border: 1px solid var(--red);
  background-color: var(--red);
}

.delete__btn-no:hover {
  background-color: rgb(234, 52, 52);
}

.delete__btn-yes {
  border: 1px solid rgb(74, 179, 74);
  background-color: rgb(74, 179, 74);
}

.delete__btn-yes:hover {
  border: 1px solid rgb(112, 208, 112);
  background-color: rgb(80, 205, 80);
}

.delete__success, .change-pass__success {
  padding: 5rem;
}

.delete__success-content, .change-pass__content {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.btn-ok{
  color: var(--text-dark-blue);
  padding: 0.9rem 3rem;
  border-radius: 30px;
}

.btn-ok:hover, .change-pass__btn {
  background-color: var(--btn-dark-blue);
  border: 1px solid var(--box-shadow);
  color: var(--background)
}
.change-pass__btn{
  padding: 0.9rem 3rem;
  border-radius: 30px;
}

.change-pass__btn:hover{
  border: 1px solid var(--secondary-blue);
  color: var(--secondary-blue);
  background-color: var(--background);
}

.change-pass__input {
  width: 55%;
  padding: 1rem;  
  border: 1px solid #e2e8fd;
  border-radius: 5px;
  color: var(--text-dark-blue);
}

.change-pass__err-message {
  margin-top: -1.8rem;
  font-size: 0.7rem;
  color: red;
}

.close-mark {
  position: relative;
  
  align-self: flex-end;
}

.hidden {
  display: none;
}